Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.event
Class ResourceAdapter

    java.lang.Object
      edu.stanford.smi.protege.event.FrameAdapter
          edu.stanford.smi.protegex.owl.model.event.ResourceAdapter

All Implemented Interfaces:
  edu.stanford.smi.protege.event.FrameListener, ProtegeFrameListener, ResourceListener, EventListener

    public class ResourceAdapter

extends edu.stanford.smi.protege.event.FrameAdapter
implements ResourceListener

Author:
  Holger Knublauch

Constructor Summary
`ResourceAdapter()`

Method Summary
`void` | `ownSlotValueChanged(edu.stanford.smi.protege.event.FrameEvent event)` Deprecated.
`void` | `typeAdded(RDFResource resource, RDFSClass type)` Called when a resource has been assigned a new rdf:type.
`void` | `typeAdded(RDFResource resource, RDFSClass type, edu.stanford.smi.protege.event.FrameEvent event)`
`void` | `typeRemoved(RDFResource resource, RDFSClass type)` Called when an rdf:type has been removed from a resource.
`void` | `typeRemoved(RDFResource resource, RDFSClass type, edu.stanford.smi.protege.event.FrameEvent event)`

Methods inherited from class edu.stanford.smi.protege.event.FrameAdapter
`browserTextChanged, deleted, frameReplaced, nameChanged, ownFacetAdded, ownFacetRemoved, ownFacetValueChanged, ownSlotAdded, ownSlotRemoved, visibilityChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.event.ProtegeFrameListener
`browserTextChanged, deleted, nameChanged, ownFacetAdded, ownFacetRemoved, ownFacetValueChanged, ownSlotAdded, ownSlotRemoved, visibilityChanged`

Constructor Detail

### ResourceAdapter

    public ResourceAdapter()

Method Detail

### typeAdded

    public void typeAdded(RDFResource resource,
                          RDFSClass type,
                          edu.stanford.smi.protege.event.FrameEvent event)

### typeAdded

    public void typeAdded(RDFResource resource,
                          RDFSClass type)

  Description copied from interface: `ResourceListener`
  Called when a resource has been assigned a new rdf:type.

  Specified by:
    `typeAdded` in interface `ResourceListener`
  Parameters:
    `resource` - the resource
    `type` - the new rdf:type

### typeRemoved

    public void typeRemoved(RDFResource resource,
                            RDFSClass type,
                            edu.stanford.smi.protege.event.FrameEvent event)

### typeRemoved

    public void typeRemoved(RDFResource resource,
                            RDFSClass type)

  Description copied from interface: `ResourceListener`
  Called when an rdf:type has been removed from a resource.

  Specified by:
    `typeRemoved` in interface `ResourceListener`
  Parameters:
    `resource` - the resource
    `type` - the old rdf:type

### ownSlotValueChanged

    @Deprecated
    public void ownSlotValueChanged(edu.stanford.smi.protege.event.FrameEvent event)

  Deprecated.

  Deprecated methods

  Specified by:
    `ownSlotValueChanged` in interface `edu.stanford.smi.protege.event.FrameListener`
  Specified by:
    `ownSlotValueChanged` in interface `ProtegeFrameListener`
  Overrides:
    `ownSlotValueChanged` in class `edu.stanford.smi.protege.event.FrameAdapter`
  See Also:
    `PropertyValueListener.propertyValueChanged(edu.stanford.smi.protegex.owl.model.RDFResource, edu.stanford.smi.protegex.owl.model.RDFProperty, java.util.Collection)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.